<?php

namespace GopNext\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;

class BudgetParametersController {
    
    protected $crudService;
  
    public function __construct($connection, $environment, $util, $crudService) {
        $this->connection   = $connection;
        $this->environment  = $environment;
        $this->util         = $util;
        $this->crudService	= $crudService;
    }
    
    public function budgetParameters(Request\Filter $request, Response $response) {
        $params = ['CDOPERADOR', 'NRORG'];
        $conditions = $this->util->prepareConditions($params);
        
        $data = $this->crudService->getFilteredDataSet('budgetParameters', $conditions)->getRows();
		$response->addDataSet(new DataSet("budgetParameters", $data));
    }
}